Loading...
Searching...
No Matches
OgreLog.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include <fstream>`
`#include <sstream>`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::Log
| Log class for writing debug/log data to files. More...
class | Ogre::Log::Stream
| Stream object which targets a log. More...
struct | Ogre::Log::Stream::Flush
| Simple type to indicate a flush of the stream to the log. More...
class | Ogre::LogListener

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::LoggingLevel { Ogre::LL_LOW = 1 , Ogre::LL_NORMAL = 2 , Ogre::LL_BOREME = 3 }
enum | Ogre::LogMessageLevel { Ogre::LML_TRIVIAL = 1 , Ogre::LML_NORMAL = 2 , Ogre::LML_WARNING = 3 , Ogre::LML_CRITICAL = 4 }
| The importance of a logged message. More...